Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.getopenrails.com/llms.txt

Use this file to discover all available pages before exploring further.

Customers are created automatically when a checkout session is created with a new email address. Use these endpoints to look up customers and navigate to their associated payments and invoices.

GET /api/gateway/customers

Returns a paginated list of customers.
curl "https://dash.getopenrails.com/api/gateway/customers?limit=20"

Query parameters

ParameterTypeDescription
limitnumberMaximum number of records to return. Defaults to 20.
customerIdstringFilter to a specific customer by cus_* ID.
emailstringFilter by exact email address.
statusstringFilter by customer status.

Response

{
  "object": "list",
  "data": [
    {
      "id": "cus_7G42M9",
      "object": "customer",
      "email": "buyer@example.com",
      "status": "active",
      "created": "2026-05-01T10:00:00Z"
    }
  ],
  "hasMore": false
}

GET /api/gateway/customers/

Fetches a single customer by their cus_* ID.
curl https://dash.getopenrails.com/api/gateway/customers/cus_7G42M9

Response

{
  "id": "cus_7G42M9",
  "object": "customer",
  "email": "buyer@example.com",
  "status": "active",
  "created": "2026-05-01T10:00:00Z"
}
Use the customerId to filter payments and invoices for this customer.